
OpenSCAP - Feature #22582

Send reports from spool with jitter

02/14/2018 03:02 PM - Ondřej Pražák

Status: New   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link: 1651907 Red Hat JIRA:  

Pull request:    

Description

We currently send the whole spool, one report after another. There may be many reports in spool and it can cause performance

issues to send a large number of reports in one go. We should send reports with a jitter.

Related issues:

Related to OpenSCAP - Feature #20449: Add randomness to SCAP client runs to a... Closed

History

#1 - 02/14/2018 03:02 PM - Ondřej Pražák

- Related to Feature #20449: Add randomness to SCAP client runs to avoid DDOS of the server added

#2 - 11/21/2018 09:22 AM - Ondřej Pražák

- Bugzilla link set to 1651907
